About

ゲーム作成用のオーサリングツール:MMF2とその機能などを紹介していたサイトです。2013年12月以降は新製品である Clickteam Fusion 2.5が発売されたため、ブログも含めCF2.5へ移行しました。MMF2関連ブログとして主要な記事は残りますが、MMF2と関連性のある新規記事追加は無くなります。開設以来多くのアクセス、誠にありがとうございました。

Notice: iOS 5.1 SDK Incompatible with Snow Leopard

Notice: iOS 5.1 SDK Incompatible with Snow Leopard.

iPhoneがiOS 5.1にアップデートされたニュースがありましたが、iOSを5.1にしたらアプリケーション開発者は「Xcode」もバージョンアップする必要があります。しかしAppleの「Snow Leopard」向けにはXcodeのアップデータが公式には提供されていないため「Lion」へのアップは必須のようです。

Mac App Store – Xcode.

  • 「Snow Leopard」=Xcodeは4.2までをサポート
  • 「Lion」=Xcode 4.3系へ

…と対応はこんな感じで。

Xcode 4.3系にはOS X 10.7とiOS 5.1の為のSDKが含まれています。

「Snow Leopard」のユーザーはiOS 5.1向けの開発に必要なXcode 4.3を公式に手に入れるためには「Lion」が必要となるわけです。このための注意喚起が本家フォーラムでユーザー向けに発表されていました。

Andos
Notice: iOS 5.1 SDK Incompatible with Snow Leopard

Hi everybody.
I just wanted to make sure that everybody knows this:
If you upgrade your device to iOS 5.1 you will then need OSX Lion to be able to compile for and deploy on your device!
Apple has removed support for Snow Leopard when it comes to the iOS 5.1 SDK.

Comments are closed.